dnl $Id: config.m4,v 1.1.1.1 2003/12/01 16:02:18 karsten Exp $
dnl config.m4 for extension wbxml

PHP_ARG_WITH(wbxml, for wbxml support,
[  --with-wbxml             Include wbxml support])

if test "$PHP_WBXML" != "no"; then

  # --with-wbxml -> check with-path
  SEARCH_PATH="/usr/local /usr"     # you might want to change this
  SEARCH_FOR="/include/wbxml.h"  # you most likely want to change this
  if test -r $PHP_WBXML/; then # path given as parameter
    WBXML_DIR=$PHP_WBXML
  else # search default path list
    AC_MSG_CHECKING([for libwbxml2 files in default path])
    for i in $SEARCH_PATH ; do
      if test -r $i/$SEARCH_FOR; then
        WBXML_DIR=$i
        AC_MSG_RESULT(found in $i)
      fi
    done
  fi
  
  if test -z "$WBXML_DIR"; then
    AC_MSG_RESULT([not found])
    AC_MSG_ERROR([Please reinstall the libwbxml2 distribution])
  fi

  # --with-wbxml -> add include path
  PHP_ADD_INCLUDE($WBXML_DIR/include)

  # --with-wbxml -> check for lib and symbol presence
  LIBNAME=wbxml2 # you may want to change this
  LIBSYMBOL=wbxml_free # you most likely want to change this 

  PHP_CHECK_LIBRARY($LIBNAME,$LIBSYMBOL,
  [
    PHP_ADD_LIBRARY_WITH_PATH($LIBNAME, $WBXML_DIR/lib, WBXML_SHARED_LIBADD)
    AC_DEFINE(HAVE_WBXMLLIB,1,[ ])
  ],[
    AC_MSG_ERROR([wrong libwbxml2 version or lib not found])
  ],[
    -L$WBXML_DIR/lib -lm -ldl
  ])
  
  PHP_SUBST(WBXML_SHARED_LIBADD)

  PHP_NEW_EXTENSION(wbxml, wbxml.c, $ext_shared)
fi
