/*
  +----------------------------------------------------------------------+
  | PHP Version 4                                                        |
  +----------------------------------------------------------------------+
  | Copyright (c) 1997-2003 The PHP Group                                |
  +----------------------------------------------------------------------+
  | This source file is subject to version 2.02 of the PHP license,      |
  | that is bundled with this package in the file LICENSE, and is        |
  | available at through the world-wide-web at                           |
  | http://www.php.net/license/2_02.txt.                                 |
  | If you did not receive a copy of the PHP license and are unable to   |
  | obtain it through the world-wide-web, please send a note to          |
  | license@php.net so we can mail you a copy immediately.               |
  +----------------------------------------------------------------------+
  | Author: Karsten Dambekalns <k.dambekalns@fishfarm.de>                |
  +----------------------------------------------------------------------+

  $Id: php_wbxml.h,v 1.1.1.1 2003/12/01 16:02:18 karsten Exp $ 
*/

#ifndef PHP_WBXML_H
#define PHP_WBXML_H

extern zend_module_entry wbxml_module_entry;
#define phpext_wbxml_ptr &wbxml_module_entry

#ifdef PHP_WIN32
#define PHP_WBXML_API __declspec(dllexport)
#else
#define PHP_WBXML_API
#endif

#ifdef ZTS
#include "TSRM.h"
#endif

PHP_MINIT_FUNCTION(wbxml);
PHP_MSHUTDOWN_FUNCTION(wbxml);
PHP_RINIT_FUNCTION(wbxml);
PHP_RSHUTDOWN_FUNCTION(wbxml);
PHP_MINFO_FUNCTION(wbxml);

PHP_FUNCTION(wbxml2xml);	/* For testing, remove later. */
PHP_FUNCTION(xml2wbxml);	/* For testing, remove later. */

/* 
  	Declare any global variables you may need between the BEGIN
	and END macros here:     

ZEND_BEGIN_MODULE_GLOBALS(wbxml)
	long  global_value;
	char *global_string;
ZEND_END_MODULE_GLOBALS(wbxml)
*/

/* In every utility function you add that needs to use variables 
   in php_wbxml_globals, call TSRM_FETCH(); after declaring other 
   variables used by that function, or better yet, pass in TSRMLS_CC
   after the last function argument and declare your utility function
   with TSRMLS_DC after the last declared argument.  Always refer to
   the globals in your function as WBXML_G(variable).  You are 
   encouraged to rename these macros something shorter, see
   examples in any other php module directory.
*/

#ifdef ZTS
#define WBXML_G(v) TSRMG(wbxml_globals_id, zend_wbxml_globals *, v)
#else
#define WBXML_G(v) (wbxml_globals.v)
#endif

#endif	/* PHP_WBXML_H */


/*
 * Local variables:
 * tab-width: 4
 * c-basic-offset: 4
 * indent-tabs-mode: t
 * End:
 */
